Skip to main content
POST
/
registrants
/
token
Create Registrant Token
curl --request POST \
  --url https://api.swoogo.com/api/v1/registrants/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form event_id=49 \
  --form 'fields[email]=atomkiewicz@hotmail.com' \
  --form 'fields[first_name]=Aleshia' \
  --form 'fields[last_name]=Tomkiewicz' \
  --form 'fields[package_id]=11' \
  --form 'fields[reg_type_id]=20'
{
  "event_id": 49,
  "id": "123",
  "token": "nXGTJ-SfjLbOWNXwh6xXQDuUYFhZ5puH_1482142194",
  "url": "https://client.swoogo.com/event/resume?i=nXGTJ-SfjLbOWNXwh6xXQDuUYFhZ5puH_1482142194"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

multipart/form-data
event_id
string
Example:

"49"

fields[email]
string
Example:

"atomkiewicz@hotmail.com"

fields[first_name]
string
Example:

"Aleshia"

fields[last_name]
string
Example:

"Tomkiewicz"

fields[package_id]
string
Example:

"11"

fields[reg_type_id]
string
Example:

"20"

Response

200 - application/json

Create Registrant Token

event_id
number
Example:

49

id
string
Example:

"123"

token
string
Example:

"nXGTJ-SfjLbOWNXwh6xXQDuUYFhZ5puH_1482142194"

url
string
Example:

"https://client.swoogo.com/event/resume?i=nXGTJ-SfjLbOWNXwh6xXQDuUYFhZ5puH_1482142194"